%define upstream_name    HTTP-Tiny
%define upstream_version 0.049

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A small, simple, correct HTTP/1.1 client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Dir)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Time::Local)
BuildRequires: perl(bytes)
BuildRequires: perl(open)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a very simple HTTP/1.1 client, designed primarily for doing simple
GET requests without the overhead of a large framework like the
LWP::UserAgent manpage.

It is more correct and more complete than the HTTP::Lite manpage. It
supports proxies (currently only non-authenticating ones) and redirection.
It also correctly resumes after EINTR.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Oct 19 2014 umeabot <umeabot> 0.49.0-4.mga5
+ Revision: 788893
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.49.0-3.mga5
+ Revision: 743400
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.49.0-2.mga5
+ Revision: 685018
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 0.49.0-1.mga5
+ Revision: 671373
- update to 0.049

* Fri Aug 22 2014 sander85 <sander85> 0.48.0-1.mga5
+ Revision: 666435
- update to 0.048

* Wed Jul 30 2014 sander85 <sander85> 0.47.0-1.mga5
+ Revision: 658169
- update to 0.047

* Tue Jul 22 2014 sander85 <sander85> 0.46.0-1.mga5
+ Revision: 655468
- update to 0.046

* Thu Jul 17 2014 sander85 <sander85> 0.44.0-1.mga5
+ Revision: 653406
- update to 0.044

* Tue Feb 25 2014 jquelin <jquelin> 0.43.0-1.mga5
+ Revision: 596798
- update to 0.043

* Mon Feb 10 2014 jquelin <jquelin> 0.39.0-1.mga5
+ Revision: 587953
- update to 0.039

* Mon Oct 21 2013 umeabot <umeabot> 0.36.0-2.mga4
+ Revision: 537581
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.36.0-1.mga4
+ Revision: 487336
- update to 0.036

* Wed Sep 11 2013 sander85 <sander85> 0.35.0-1.mga4
+ Revision: 477526
- update to 0.035

* Tue Jul 09 2013 jquelin <jquelin> 0.34.0-1.mga4
+ Revision: 451886
- update to 0.034

* Mon Jun 03 2013 jquelin <jquelin> 0.29.0-1.mga4
+ Revision: 436400
- update to 0.029

* Wed Mar 27 2013 jquelin <jquelin> 0.25.0-3.mga3
+ Revision: 405501
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.25.0-2.mga3
+ Revision: 368335
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.25.0-1.mga3
+ Revision: 341876
- update to 0.025

* Wed Nov 07 2012 jquelin <jquelin> 0.24.0-2.mga3
+ Revision: 315523
- perl 5.16.2 rebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.24.0-1.mga3
+ Revision: 306050
- update to 0.024

* Mon Sep 17 2012 jquelin <jquelin> 0.22.0-3.mga3
+ Revision: 294846
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 0.22.0-2.mga3
+ Revision: 284587
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.22.0-1.mga3
+ Revision: 254108
- update to 0.022

* Tue Mar 06 2012 jquelin <jquelin> 0.17.0-1.mga2
+ Revision: 219775
- update to 0.017

* Sat Nov 05 2011 kharec <kharec> 0.16.0-1.mga2
+ Revision: 163573
- update to 0.016

* Fri Nov 04 2011 jquelin <jquelin> 0.13.0-2.mga2
+ Revision: 162810
- take priority over module bundled with perl 5.14.2

  + kharec <kharec>
    - update to 0.013

* Sun Apr 03 2011 jquelin <jquelin> 0.12.0-1.mga1
+ Revision: 80079
- update to 0.012

* Thu Mar 24 2011 jquelin <jquelin> 0.11.0-1.mga1
+ Revision: 76636
- update to 0.011

* Sun Mar 13 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 70540
- imported package perl-HTTP-Tiny


* Sun Mar 13 2011 cpan2dist 0.010-1mga
- initial mageia release, generated with cpan2dist
